std::__profile Namespace Reference

## Classes

class | bitset
class | deque
class | forward_list
class | list
class | map
class | multimap
class | multiset
class | set
class | unordered_map
class | unordered_multimap
class | unordered_multiset
class | unordered_set

## Functions

template<typename _UnorderedCont , typename _Value , bool _Cache_hash_code>
bool | __are_equal (const _UnorderedCont &__uc, const __detail::_Hash_node< _Value, _Cache_hash_code > *__lhs, const __detail::_Hash_node< _Value, _Cache_hash_code > *__rhs)
template<typename _UnorderedCont , typename _Value , bool _Cache_hash_code>
std::size_t | __get_bucket_index (const _UnorderedCont &__uc, const __detail::_Hash_node< _Value, _Cache_hash_code > *__node)
template<typename _Iterator , typename _Sequence >
bool | operator!= (const __iterator_tracker< _Iterator, _Sequence > &__lhs, const __iterator_tracker< _Iterator, _Sequence > &__rhs) noexcept
template<typename _IteratorL , typename _IteratorR , typename _Sequence >
bool | operator!= (const __iterator_tracker< _IteratorL, _Sequence > &__lhs, const __iterator_tracker< _IteratorR, _Sequence > &__rhs) noexcept
template<typename _Tp , typename _Alloc >
bool | operator!= (const deque< _Tp, _Alloc > &__lhs, const deque< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | operator!= (const forward_list< _Tp, _Alloc > &__lx, const forward_list< _Tp, _Alloc > &__ly)
template<typename _Tp , typename _Alloc >
bool | operator!= (const list< _Tp, _Alloc > &__lhs, const list< _Tp, _Alloc > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator!= (const map< _Key, _Tp, _Compare, _Allocator > &__lhs, const map< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator!= (const multimap< _Key, _Tp, _Compare, _Allocator > &__lhs, const multimap< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator!= (const multiset< _Key, _Compare, _Allocator > &__lhs, const multiset< _Key, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator!= (const set< _Key, _Compare, _Allocator > &__lhs, const set< _Key, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >
bool | operator!= (const unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, const unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__y)
template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >
bool | operator!= (const unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, const unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__y)
template<typename _Value , typename _Hash , typename _Pred , typename _Alloc >
bool | operator!= (const unordered_multiset< _Value, _Hash, _Pred, _Alloc > &__x, const unordered_multiset< _Value, _Hash, _Pred, _Alloc > &__y)
template<typename _Key , typename _Hash , typename _Pred , typename _Alloc >
bool | operator!= (const unordered_set< _Key, _Hash, _Pred, _Alloc > &__x, const unordered_set< _Key, _Hash, _Pred, _Alloc > &__y)
template<typename _Tp , typename _Alloc >
bool | operator!= (const vector< _Tp, _Alloc > &__lhs, const vector< _Tp, _Alloc > &__rhs)
template<size_t _Nb>
bitset< _Nb > | operator& (const bitset< _Nb > &__x, const bitset< _Nb > &__y) noexcept
template<typename _Iterator , typename _Sequence >
__iterator_tracker< _Iterator, _Sequence > | operator+ (typename __iterator_tracker< _Iterator, _Sequence >::difference_type __n, const __iterator_tracker< _Iterator, _Sequence > &__i) noexcept
template<typename _Iterator , typename _Sequence >
__iterator_tracker< _Iterator, _Sequence >::difference_type | operator- (const __iterator_tracker< _Iterator, _Sequence > &__lhs, const __iterator_tracker< _Iterator, _Sequence > &__rhs) noexcept
template<typename _IteratorL , typename _IteratorR , typename _Sequence >
__iterator_tracker< _IteratorL, _Sequence >::difference_type | operator- (const __iterator_tracker< _IteratorL, _Sequence > &__lhs, const __iterator_tracker< _IteratorR, _Sequence > &__rhs) noexcept
template<typename _Iterator , typename _Sequence >
bool | operator< (const __iterator_tracker< _Iterator, _Sequence > &__lhs, const __iterator_tracker< _Iterator, _Sequence > &__rhs) noexcept
template<typename _IteratorL , typename _IteratorR , typename _Sequence >
bool | operator< (const __iterator_tracker< _IteratorL, _Sequence > &__lhs, const __iterator_tracker< _IteratorR, _Sequence > &__rhs) noexcept
template<typename _Tp , typename _Alloc >
bool | operator< (const deque< _Tp, _Alloc > &__lhs, const deque< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | operator< (const forward_list< _Tp, _Alloc > &__lx, const forward_list< _Tp, _Alloc > &__ly)
template<typename _Tp , typename _Alloc >
bool | operator< (const list< _Tp, _Alloc > &__lhs, const list< _Tp, _Alloc > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator< (const map< _Key, _Tp, _Compare, _Allocator > &__lhs, const map< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator< (const multimap< _Key, _Tp, _Compare, _Allocator > &__lhs, const multimap< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator< (const multiset< _Key, _Compare, _Allocator > &__lhs, const multiset< _Key, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator< (const set< _Key, _Compare, _Allocator > &__lhs, const set< _Key, _Compare, _Allocator > &__rhs)
template<typename _Tp , typename _Alloc >
bool | operator< (const vector< _Tp, _Alloc > &__lhs, const vector< _Tp, _Alloc > &__rhs)
template<typename _CharT , typename _Traits , size_t _Nb>
std::basic_ostream< _CharT, _Traits > & | operator<< (std::basic_ostream< _CharT, _Traits > &__os, const bitset< _Nb > &__x)
template<typename _Iterator , typename _Sequence >
bool | operator<= (const __iterator_tracker< _Iterator, _Sequence > &__lhs, const __iterator_tracker< _Iterator, _Sequence > &__rhs) noexcept
template<typename _IteratorL , typename _IteratorR , typename _Sequence >
bool | operator<= (const __iterator_tracker< _IteratorL, _Sequence > &__lhs, const __iterator_tracker< _IteratorR, _Sequence > &__rhs) noexcept
template<typename _Tp , typename _Alloc >
bool | operator<= (const deque< _Tp, _Alloc > &__lhs, const deque< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | operator<= (const forward_list< _Tp, _Alloc > &__lx, const forward_list< _Tp, _Alloc > &__ly)
template<typename _Tp , typename _Alloc >
bool | operator<= (const list< _Tp, _Alloc > &__lhs, const list< _Tp, _Alloc > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator<= (const map< _Key, _Tp, _Compare, _Allocator > &__lhs, const map< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator<= (const multimap< _Key, _Tp, _Compare, _Allocator > &__lhs, const multimap< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator<= (const multiset< _Key, _Compare, _Allocator > &__lhs, const multiset< _Key, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator<= (const set< _Key, _Compare, _Allocator > &__lhs, const set< _Key, _Compare, _Allocator > &__rhs)
template<typename _Tp , typename _Alloc >
bool | operator<= (const vector< _Tp, _Alloc > &__lhs, const vector< _Tp, _Alloc > &__rhs)
template<typename _Iterator , typename _Sequence >
bool | operator== (const __iterator_tracker< _Iterator, _Sequence > &__lhs, const __iterator_tracker< _Iterator, _Sequence > &__rhs) noexcept
template<typename _IteratorL , typename _IteratorR , typename _Sequence >
bool | operator== (const __iterator_tracker< _IteratorL, _Sequence > &__lhs, const __iterator_tracker< _IteratorR, _Sequence > &__rhs) noexcept
template<typename _Tp , typename _Alloc >
bool | operator== (const deque< _Tp, _Alloc > &__lhs, const deque< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | operator== (const forward_list< _Tp, _Alloc > &__lx, const forward_list< _Tp, _Alloc > &__ly)
template<typename _Tp , typename _Alloc >
bool | operator== (const list< _Tp, _Alloc > &__lhs, const list< _Tp, _Alloc > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator== (const map< _Key, _Tp, _Compare, _Allocator > &__lhs, const map< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator== (const multimap< _Key, _Tp, _Compare, _Allocator > &__lhs, const multimap< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator== (const multiset< _Key, _Compare, _Allocator > &__lhs, const multiset< _Key, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator== (const set< _Key, _Compare, _Allocator > &__lhs, const set< _Key, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >
bool | operator== (const unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, const unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__y)
template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >
bool | operator== (const unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, const unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__y)
template<typename _Value , typename _Hash , typename _Pred , typename _Alloc >
bool | operator== (const unordered_multiset< _Value, _Hash, _Pred, _Alloc > &__x, const unordered_multiset< _Value, _Hash, _Pred, _Alloc > &__y)
template<typename _Key , typename _Hash , typename _Pred , typename _Alloc >
bool | operator== (const unordered_set< _Key, _Hash, _Pred, _Alloc > &__x, const unordered_set< _Key, _Hash, _Pred, _Alloc > &__y)
template<typename _Tp , typename _Alloc >
bool | operator== (const vector< _Tp, _Alloc > &__lhs, const vector< _Tp, _Alloc > &__rhs)
template<typename _Iterator , typename _Sequence >
bool | operator> (const __iterator_tracker< _Iterator, _Sequence > &__lhs, const __iterator_tracker< _Iterator, _Sequence > &__rhs) noexcept
template<typename _IteratorL , typename _IteratorR , typename _Sequence >
bool | operator> (const __iterator_tracker< _IteratorL, _Sequence > &__lhs, const __iterator_tracker< _IteratorR, _Sequence > &__rhs) noexcept
template<typename _Tp , typename _Alloc >
bool | operator> (const deque< _Tp, _Alloc > &__lhs, const deque< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | operator> (const forward_list< _Tp, _Alloc > &__lx, const forward_list< _Tp, _Alloc > &__ly)
template<typename _Tp , typename _Alloc >
bool | operator> (const list< _Tp, _Alloc > &__lhs, const list< _Tp, _Alloc > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator> (const map< _Key, _Tp, _Compare, _Allocator > &__lhs, const map< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator> (const multimap< _Key, _Tp, _Compare, _Allocator > &__lhs, const multimap< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator> (const multiset< _Key, _Compare, _Allocator > &__lhs, const multiset< _Key, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator> (const set< _Key, _Compare, _Allocator > &__lhs, const set< _Key, _Compare, _Allocator > &__rhs)
template<typename _Tp , typename _Alloc >
bool | operator> (const vector< _Tp, _Alloc > &__lhs, const vector< _Tp, _Alloc > &__rhs)
template<typename _Iterator , typename _Sequence >
bool | operator>= (const __iterator_tracker< _Iterator, _Sequence > &__lhs, const __iterator_tracker< _Iterator, _Sequence > &__rhs) noexcept
template<typename _IteratorL , typename _IteratorR , typename _Sequence >
bool | operator>= (const __iterator_tracker< _IteratorL, _Sequence > &__lhs, const __iterator_tracker< _IteratorR, _Sequence > &__rhs) noexcept
template<typename _Tp , typename _Alloc >
bool | operator>= (const deque< _Tp, _Alloc > &__lhs, const deque< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | operator>= (const forward_list< _Tp, _Alloc > &__lx, const forward_list< _Tp, _Alloc > &__ly)
template<typename _Tp , typename _Alloc >
bool | operator>= (const list< _Tp, _Alloc > &__lhs, const list< _Tp, _Alloc > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator>= (const map< _Key, _Tp, _Compare, _Allocator > &__lhs, const map< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator>= (const multimap< _Key, _Tp, _Compare, _Allocator > &__lhs, const multimap< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator>= (const multiset< _Key, _Compare, _Allocator > &__lhs, const multiset< _Key, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator>= (const set< _Key, _Compare, _Allocator > &__lhs, const set< _Key, _Compare, _Allocator > &__rhs)
template<typename _Tp , typename _Alloc >
bool | operator>= (const vector< _Tp, _Alloc > &__lhs, const vector< _Tp, _Alloc > &__rhs)
template<typename _CharT , typename _Traits , size_t _Nb>
std::basic_istream< _CharT, _Traits > & | operator>> (std::basic_istream< _CharT, _Traits > &__is, bitset< _Nb > &__x)
template<size_t _Nb>
bitset< _Nb > | operator^ (const bitset< _Nb > &__x, const bitset< _Nb > &__y) noexcept
template<size_t _Nb>
bitset< _Nb > | operator| (const bitset< _Nb > &__x, const bitset< _Nb > &__y) noexcept
template<typename _Tp , typename _Alloc >
void | swap (deque< _Tp, _Alloc > &__lhs, deque< _Tp, _Alloc > &__rhs) noexcept(/*conditional */)
template<typename _Tp , typename _Alloc >
void | swap (forward_list< _Tp, _Alloc > &__lx, forward_list< _Tp, _Alloc > &__ly) noexcept(noexcept(__lx.swap(__ly)))
template<typename _Tp , typename _Alloc >
void | swap (list< _Tp, _Alloc > &__lhs, list< _Tp, _Alloc > &__rhs) noexcept(/*conditional */)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
void | swap (map< _Key, _Tp, _Compare, _Allocator > &__lhs, map< _Key, _Tp, _Compare, _Allocator > &__rhs) noexcept(/*conditional */)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
void | swap (multimap< _Key, _Tp, _Compare, _Allocator > &__lhs, multimap< _Key, _Tp, _Compare, _Allocator > &__rhs) noexcept(/*conditional */)
template<typename _Key , typename _Compare , typename _Allocator >
void | swap (multiset< _Key, _Compare, _Allocator > &__x, multiset< _Key, _Compare, _Allocator > &__y) noexcept(/*conditional */)
template<typename _Key , typename _Compare , typename _Allocator >
void | swap (set< _Key, _Compare, _Allocator > &__x, set< _Key, _Compare, _Allocator > &__y) noexcept(/*conditional */)
template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >
void | swap (unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__y) noexcept(noexcept(__x.swap(__y)))
template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >
void | swap (unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__y) noexcept(noexcept(__x.swap(__y)))
template<typename _Value , typename _Hash , typename _Pred , typename _Alloc >
void | swap (unordered_multiset< _Value, _Hash, _Pred, _Alloc > &__x, unordered_multiset< _Value, _Hash, _Pred, _Alloc > &__y) noexcept(noexcept(__x.swap(__y)))
template<typename _Key , typename _Hash , typename _Pred , typename _Alloc >
void | swap (unordered_set< _Key, _Hash, _Pred, _Alloc > &__x, unordered_set< _Key, _Hash, _Pred, _Alloc > &__y) noexcept(noexcept(__x.swap(__y)))
template<typename _Tp , typename _Alloc >
void | swap (vector< _Tp, _Alloc > &__lhs, vector< _Tp, _Alloc > &__rhs) noexcept(/*conditional */)

## Detailed Description

GNU profile code, replaces standard behavior with profile behavior.

## Function Documentation

## __are_equal()

template<typename _UnorderedCont , typename _Value , bool _Cache_hash_code>

bool std::__profile::__are_equal | ( | const _UnorderedCont & | __uc,
|  | const __detail::_Hash_node< _Value, _Cache_hash_code > * | __lhs,
|  | const __detail::_Hash_node< _Value, _Cache_hash_code > * | __rhs
| ) |  |

Definition at line 138 of file unordered_base.h.

## __get_bucket_index()

template<typename _UnorderedCont , typename _Value , bool _Cache_hash_code>

std::size_t std::__profile::__get_bucket_index | ( | const _UnorderedCont & | __uc,
|  | const __detail::_Hash_node< _Value, _Cache_hash_code > * | __node
| ) |  |

Definition at line 71 of file unordered_base.h.

## operator!=() [1/14]

template<typename _Iterator , typename _Sequence >

bool std::__profile::operator!= | ( | const __iterator_tracker< _Iterator, _Sequence > & | __lhs,
|  | const __iterator_tracker< _Iterator, _Sequence > & | __rhs
| ) |  |

inline noexcept

Definition at line 197 of file iterator_tracker.h.

## operator!=() [2/14]

template<typename _IteratorL , typename _IteratorR , typename _Sequence >

bool std::__profile::operator!= | ( | const __iterator_tracker< _IteratorL, _Sequence > & | __lhs,
|  | const __iterator_tracker< _IteratorR, _Sequence > & | __rhs
| ) |  |

inline noexcept

Definition at line 190 of file iterator_tracker.h.

## operator!=() [3/14]

template<typename _Tp , typename _Alloc >

bool std::__profile::operator!= | ( | const deque< _Tp, _Alloc > & | __lhs,
|  | const deque< _Tp, _Alloc > & | __rhs
| ) |  |

inline

Definition at line 151 of file profile/deque.

## operator!=() [4/14]

template<typename _Tp , typename _Alloc >

bool std::__profile::operator!= | ( | const forward_list< _Tp, _Alloc > & | __lx,
|  | const forward_list< _Tp, _Alloc > & | __ly
| ) |  |

inline

Definition at line 181 of file profile/forward_list.

## operator!=() [5/14]

template<typename _Tp , typename _Alloc >

bool std::__profile::operator!= | ( | const list< _Tp, _Alloc > & | __lhs,
|  | const list< _Tp, _Alloc > & | __rhs
| ) |  |

inline

Definition at line 613 of file profile/list.

## operator!=() [6/14]

template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >

bool std::__profile::operator!= | ( | const map< _Key, _Tp, _Compare, _Allocator > & | __lhs,
|  | const map< _Key, _Tp, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 669 of file profile/map.h.

## operator!=() [7/14]

template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >

bool std::__profile::operator!= | ( | const multimap< _Key, _Tp, _Compare, _Allocator > & | __lhs,
|  | const multimap< _Key, _Tp, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 627 of file profile/multimap.h.

## operator!=() [8/14]

template<typename _Key , typename _Compare , typename _Allocator >

bool std::__profile::operator!= | ( | const multiset< _Key, _Compare, _Allocator > & | __lhs,
|  | const multiset< _Key, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 615 of file profile/multiset.h.

## operator!=() [9/14]

template<typename _Key , typename _Compare , typename _Allocator >

bool std::__profile::operator!= | ( | const set< _Key, _Compare, _Allocator > & | __lhs,
|  | const set< _Key, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 596 of file profile/set.h.

## operator!=() [10/14]

template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >

bool std::__profile::operator!= | ( | const unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > & | __x,
|  | const unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > & | __y
| ) |  |

inline

Definition at line 315 of file profile/unordered_map.

## operator!=() [11/14]

template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >

bool std::__profile::operator!= | ( | const unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > & | __x,
|  | const unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > & | __y
| ) |  |

inline

Definition at line 574 of file profile/unordered_map.

## operator!=() [12/14]

template<typename _Value , typename _Hash , typename _Pred , typename _Alloc >

bool std::__profile::operator!= | ( | const unordered_multiset< _Value, _Hash, _Pred, _Alloc > & | __x,
|  | const unordered_multiset< _Value, _Hash, _Pred, _Alloc > & | __y
| ) |  |

inline

Definition at line 549 of file profile/unordered_set.

## operator!=() [13/14]

template<typename _Key , typename _Hash , typename _Pred , typename _Alloc >

bool std::__profile::operator!= | ( | const unordered_set< _Key, _Hash, _Pred, _Alloc > & | __x,
|  | const unordered_set< _Key, _Hash, _Pred, _Alloc > & | __y
| ) |  |

inline

Definition at line 293 of file profile/unordered_set.

## operator!=() [14/14]

template<typename _Tp , typename _Alloc >

bool std::__profile::operator!= | ( | const vector< _Tp, _Alloc > & | __lhs,
|  | const vector< _Tp, _Alloc > & | __rhs
| ) |  |

inline

Definition at line 519 of file profile/vector.

## operator&()

template<size_t _Nb>

bitset< _Nb > std::__profile::operator& | ( | const bitset< _Nb > & | __x,
|  | const bitset< _Nb > & | __y
| ) |  |

noexcept

Definition at line 205 of file profile/bitset.

## operator+()

template<typename _Iterator , typename _Sequence >

__iterator_tracker< _Iterator, _Sequence > std::__profile::operator+ | ( | typename __iterator_tracker< _Iterator, _Sequence >::difference_type | __n,
|  | const __iterator_tracker< _Iterator, _Sequence > & | __i
| ) |  |

inline noexcept

Definition at line 278 of file iterator_tracker.h.

## operator-() [1/2]

template<typename _Iterator , typename _Sequence >

__iterator_tracker< _Iterator, _Sequence >::difference_type std::__profile::operator- | ( | const __iterator_tracker< _Iterator, _Sequence > & | __lhs,
|  | const __iterator_tracker< _Iterator, _Sequence > & | __rhs
| ) |  |

inline noexcept

Definition at line 271 of file iterator_tracker.h.

## operator-() [2/2]

template<typename _IteratorL , typename _IteratorR , typename _Sequence >

__iterator_tracker< _IteratorL, _Sequence >::difference_type std::__profile::operator- | ( | const __iterator_tracker< _IteratorL, _Sequence > & | __lhs,
|  | const __iterator_tracker< _IteratorR, _Sequence > & | __rhs
| ) |  |

inline noexcept

Definition at line 264 of file iterator_tracker.h.

## operator<() [1/10]

template<typename _Iterator , typename _Sequence >

bool std::__profile::operator< | ( | const __iterator_tracker< _Iterator, _Sequence > & | __lhs,
|  | const __iterator_tracker< _Iterator, _Sequence > & | __rhs
| ) |  |

inline noexcept

Definition at line 210 of file iterator_tracker.h.

## operator<() [2/10]

template<typename _IteratorL , typename _IteratorR , typename _Sequence >

bool std::__profile::operator< | ( | const __iterator_tracker< _IteratorL, _Sequence > & | __lhs,
|  | const __iterator_tracker< _IteratorR, _Sequence > & | __rhs
| ) |  |

inline noexcept

Definition at line 203 of file iterator_tracker.h.

## operator<() [3/10]

template<typename _Tp , typename _Alloc >

bool std::__profile::operator< | ( | const deque< _Tp, _Alloc > & | __lhs,
|  | const deque< _Tp, _Alloc > & | __rhs
| ) |  |

inline

Definition at line 156 of file profile/deque.

## operator<() [4/10]

template<typename _Tp , typename _Alloc >

bool std::__profile::operator< | ( | const forward_list< _Tp, _Alloc > & | __lx,
|  | const forward_list< _Tp, _Alloc > & | __ly
| ) |  |

inline

Definition at line 174 of file profile/forward_list.

## operator<() [5/10]

template<typename _Tp , typename _Alloc >

bool std::__profile::operator< | ( | const list< _Tp, _Alloc > & | __lhs,
|  | const list< _Tp, _Alloc > & | __rhs
| ) |  |

inline

Definition at line 618 of file profile/list.

## operator<() [6/10]

template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >

bool std::__profile::operator< | ( | const map< _Key, _Tp, _Compare, _Allocator > & | __lhs,
|  | const map< _Key, _Tp, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 657 of file profile/map.h.

## operator<() [7/10]

template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >

bool std::__profile::operator< | ( | const multimap< _Key, _Tp, _Compare, _Allocator > & | __lhs,
|  | const multimap< _Key, _Tp, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 615 of file profile/multimap.h.

## operator<() [8/10]

template<typename _Key , typename _Compare , typename _Allocator >

bool std::__profile::operator< | ( | const multiset< _Key, _Compare, _Allocator > & | __lhs,
|  | const multiset< _Key, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 604 of file profile/multiset.h.

## operator<() [9/10]

template<typename _Key , typename _Compare , typename _Allocator >

bool std::__profile::operator< | ( | const set< _Key, _Compare, _Allocator > & | __lhs,
|  | const set< _Key, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 585 of file profile/set.h.

## operator<() [10/10]

template<typename _Tp , typename _Alloc >

bool std::__profile::operator< | ( | const vector< _Tp, _Alloc > & | __lhs,
|  | const vector< _Tp, _Alloc > & | __rhs
| ) |  |

inline

Definition at line 524 of file profile/vector.

## operator<<()

template<typename _CharT , typename _Traits , size_t _Nb>

std::basic_ostream< _CharT, _Traits > & std::__profile::operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const bitset< _Nb > & | __x
| ) |  |

Definition at line 220 of file profile/bitset.

## operator<=() [1/10]

template<typename _Iterator , typename _Sequence >

bool std::__profile::operator<= | ( | const __iterator_tracker< _Iterator, _Sequence > & | __lhs,
|  | const __iterator_tracker< _Iterator, _Sequence > & | __rhs
| ) |  |

inline noexcept

Definition at line 224 of file iterator_tracker.h.

## operator<=() [2/10]

template<typename _IteratorL , typename _IteratorR , typename _Sequence >

bool std::__profile::operator<= | ( | const __iterator_tracker< _IteratorL, _Sequence > & | __lhs,
|  | const __iterator_tracker< _IteratorR, _Sequence > & | __rhs
| ) |  |

inline noexcept

Definition at line 217 of file iterator_tracker.h.

## operator<=() [3/10]

template<typename _Tp , typename _Alloc >

bool std::__profile::operator<= | ( | const deque< _Tp, _Alloc > & | __lhs,
|  | const deque< _Tp, _Alloc > & | __rhs
| ) |  |

inline

Definition at line 162 of file profile/deque.

## operator<=() [4/10]

template<typename _Tp , typename _Alloc >

bool std::__profile::operator<= | ( | const forward_list< _Tp, _Alloc > & | __lx,
|  | const forward_list< _Tp, _Alloc > & | __ly
| ) |  |

inline

Based on operator<.

Definition at line 201 of file profile/forward_list.

## operator<=() [5/10]

template<typename _Tp , typename _Alloc >

bool std::__profile::operator<= | ( | const list< _Tp, _Alloc > & | __lhs,
|  | const list< _Tp, _Alloc > & | __rhs
| ) |  |

inline

Definition at line 624 of file profile/list.

## operator<=() [6/10]

template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >

bool std::__profile::operator<= | ( | const map< _Key, _Tp, _Compare, _Allocator > & | __lhs,
|  | const map< _Key, _Tp, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 675 of file profile/map.h.

## operator<=() [7/10]

template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >

bool std::__profile::operator<= | ( | const multimap< _Key, _Tp, _Compare, _Allocator > & | __lhs,
|  | const multimap< _Key, _Tp, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 633 of file profile/multimap.h.

## operator<=() [8/10]

template<typename _Key , typename _Compare , typename _Allocator >

bool std::__profile::operator<= | ( | const multiset< _Key, _Compare, _Allocator > & | __lhs,
|  | const multiset< _Key, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 620 of file profile/multiset.h.

## operator<=() [9/10]

template<typename _Key , typename _Compare , typename _Allocator >

bool std::__profile::operator<= | ( | const set< _Key, _Compare, _Allocator > & | __lhs,
|  | const set< _Key, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 601 of file profile/set.h.

## operator<=() [10/10]

template<typename _Tp , typename _Alloc >

bool std::__profile::operator<= | ( | const vector< _Tp, _Alloc > & | __lhs,
|  | const vector< _Tp, _Alloc > & | __rhs
| ) |  |

inline

Definition at line 530 of file profile/vector.

## operator==() [1/14]

template<typename _Iterator , typename _Sequence >

bool std::__profile::operator== | ( | const __iterator_tracker< _Iterator, _Sequence > & | __lhs,
|  | const __iterator_tracker< _Iterator, _Sequence > & | __rhs
| ) |  |

inline noexcept

Definition at line 183 of file iterator_tracker.h.

## operator==() [2/14]

template<typename _IteratorL , typename _IteratorR , typename _Sequence >

bool std::__profile::operator== | ( | const __iterator_tracker< _IteratorL, _Sequence > & | __lhs,
|  | const __iterator_tracker< _IteratorR, _Sequence > & | __rhs
| ) |  |

inline noexcept

Definition at line 176 of file iterator_tracker.h.

## operator==() [3/14]

template<typename _Tp , typename _Alloc >

bool std::__profile::operator== | ( | const deque< _Tp, _Alloc > & | __lhs,
|  | const deque< _Tp, _Alloc > & | __rhs
| ) |  |

inline

Definition at line 145 of file profile/deque.

## operator==() [4/14]

template<typename _Tp , typename _Alloc >

bool std::__profile::operator== | ( | const forward_list< _Tp, _Alloc > & | __lx,
|  | const forward_list< _Tp, _Alloc > & | __ly
| ) |  |

inline

Definition at line 169 of file profile/forward_list.

## operator==() [5/14]

template<typename _Tp , typename _Alloc >

bool std::__profile::operator== | ( | const list< _Tp, _Alloc > & | __lhs,
|  | const list< _Tp, _Alloc > & | __rhs
| ) |  |

inline

Definition at line 607 of file profile/list.

## operator==() [6/14]

template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >

bool std::__profile::operator== | ( | const map< _Key, _Tp, _Compare, _Allocator > & | __lhs,
|  | const map< _Key, _Tp, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 647 of file profile/map.h.

## operator==() [7/14]

template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >

bool std::__profile::operator== | ( | const multimap< _Key, _Tp, _Compare, _Allocator > & | __lhs,
|  | const multimap< _Key, _Tp, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 605 of file profile/multimap.h.

## operator==() [8/14]

template<typename _Key , typename _Compare , typename _Allocator >

bool std::__profile::operator== | ( | const multiset< _Key, _Compare, _Allocator > & | __lhs,
|  | const multiset< _Key, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 595 of file profile/multiset.h.

## operator==() [9/14]

template<typename _Key , typename _Compare , typename _Allocator >

bool std::__profile::operator== | ( | const set< _Key, _Compare, _Allocator > & | __lhs,
|  | const set< _Key, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 576 of file profile/set.h.

## operator==() [10/14]

template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >

bool std::__profile::operator== | ( | const unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > & | __x,
|  | const unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > & | __y
| ) |  |

inline

Definition at line 308 of file profile/unordered_map.

## operator==() [11/14]

template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >

bool std::__profile::operator== | ( | const unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > & | __x,
|  | const unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > & | __y
| ) |  |

inline

Definition at line 567 of file profile/unordered_map.

## operator==() [12/14]

template<typename _Value , typename _Hash , typename _Pred , typename _Alloc >

bool std::__profile::operator== | ( | const unordered_multiset< _Value, _Hash, _Pred, _Alloc > & | __x,
|  | const unordered_multiset< _Value, _Hash, _Pred, _Alloc > & | __y
| ) |  |

inline

Definition at line 543 of file profile/unordered_set.

## operator==() [13/14]

template<typename _Key , typename _Hash , typename _Pred , typename _Alloc >

bool std::__profile::operator== | ( | const unordered_set< _Key, _Hash, _Pred, _Alloc > & | __x,
|  | const unordered_set< _Key, _Hash, _Pred, _Alloc > & | __y
| ) |  |

inline

Definition at line 287 of file profile/unordered_set.

## operator==() [14/14]

template<typename _Tp , typename _Alloc >

bool std::__profile::operator== | ( | const vector< _Tp, _Alloc > & | __lhs,
|  | const vector< _Tp, _Alloc > & | __rhs
| ) |  |

inline

Definition at line 513 of file profile/vector.

## operator>() [1/10]

template<typename _Iterator , typename _Sequence >

bool std::__profile::operator> | ( | const __iterator_tracker< _Iterator, _Sequence > & | __lhs,
|  | const __iterator_tracker< _Iterator, _Sequence > & | __rhs
| ) |  |

inline noexcept

Definition at line 239 of file iterator_tracker.h.

## operator>() [2/10]

template<typename _IteratorL , typename _IteratorR , typename _Sequence >

bool std::__profile::operator> | ( | const __iterator_tracker< _IteratorL, _Sequence > & | __lhs,
|  | const __iterator_tracker< _IteratorR, _Sequence > & | __rhs
| ) |  |

inline noexcept

Definition at line 232 of file iterator_tracker.h.

## operator>() [3/10]

template<typename _Tp , typename _Alloc >

bool std::__profile::operator> | ( | const deque< _Tp, _Alloc > & | __lhs,
|  | const deque< _Tp, _Alloc > & | __rhs
| ) |  |

inline

Definition at line 175 of file profile/deque.

## operator>() [4/10]

template<typename _Tp , typename _Alloc >

bool std::__profile::operator> | ( | const forward_list< _Tp, _Alloc > & | __lx,
|  | const forward_list< _Tp, _Alloc > & | __ly
| ) |  |

inline

Based on operator<.

Definition at line 188 of file profile/forward_list.

## operator>() [5/10]

template<typename _Tp , typename _Alloc >

bool std::__profile::operator> | ( | const list< _Tp, _Alloc > & | __lhs,
|  | const list< _Tp, _Alloc > & | __rhs
| ) |  |

inline

Definition at line 637 of file profile/list.

## operator>() [6/10]

template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >

bool std::__profile::operator> | ( | const map< _Key, _Tp, _Compare, _Allocator > & | __lhs,
|  | const map< _Key, _Tp, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 690 of file profile/map.h.

## operator>() [7/10]

template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >

bool std::__profile::operator> | ( | const multimap< _Key, _Tp, _Compare, _Allocator > & | __lhs,
|  | const multimap< _Key, _Tp, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 648 of file profile/multimap.h.

## operator>() [8/10]

template<typename _Key , typename _Compare , typename _Allocator >

bool std::__profile::operator> | ( | const multiset< _Key, _Compare, _Allocator > & | __lhs,
|  | const multiset< _Key, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 633 of file profile/multiset.h.

## operator>() [9/10]

template<typename _Key , typename _Compare , typename _Allocator >

bool std::__profile::operator> | ( | const set< _Key, _Compare, _Allocator > & | __lhs,
|  | const set< _Key, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 614 of file profile/set.h.

## operator>() [10/10]

template<typename _Tp , typename _Alloc >

bool std::__profile::operator> | ( | const vector< _Tp, _Alloc > & | __lhs,
|  | const vector< _Tp, _Alloc > & | __rhs
| ) |  |

inline

Definition at line 543 of file profile/vector.

## operator>=() [1/10]

template<typename _Iterator , typename _Sequence >

bool std::__profile::operator>= | ( | const __iterator_tracker< _Iterator, _Sequence > & | __lhs,
|  | const __iterator_tracker< _Iterator, _Sequence > & | __rhs
| ) |  |

inline noexcept

Definition at line 253 of file iterator_tracker.h.

## operator>=() [2/10]

template<typename _IteratorL , typename _IteratorR , typename _Sequence >

bool std::__profile::operator>= | ( | const __iterator_tracker< _IteratorL, _Sequence > & | __lhs,
|  | const __iterator_tracker< _IteratorR, _Sequence > & | __rhs
| ) |  |

inline noexcept

Definition at line 246 of file iterator_tracker.h.

## operator>=() [3/10]

template<typename _Tp , typename _Alloc >

bool std::__profile::operator>= | ( | const deque< _Tp, _Alloc > & | __lhs,
|  | const deque< _Tp, _Alloc > & | __rhs
| ) |  |

inline

Definition at line 169 of file profile/deque.

## operator>=() [4/10]

template<typename _Tp , typename _Alloc >

bool std::__profile::operator>= | ( | const forward_list< _Tp, _Alloc > & | __lx,
|  | const forward_list< _Tp, _Alloc > & | __ly
| ) |  |

inline

Based on operator<.

Definition at line 195 of file profile/forward_list.

## operator>=() [5/10]

template<typename _Tp , typename _Alloc >

bool std::__profile::operator>= | ( | const list< _Tp, _Alloc > & | __lhs,
|  | const list< _Tp, _Alloc > & | __rhs
| ) |  |

inline

Definition at line 631 of file profile/list.

## operator>=() [6/10]

template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >

bool std::__profile::operator>= | ( | const map< _Key, _Tp, _Compare, _Allocator > & | __lhs,
|  | const map< _Key, _Tp, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 683 of file profile/map.h.

## operator>=() [7/10]

template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >

bool std::__profile::operator>= | ( | const multimap< _Key, _Tp, _Compare, _Allocator > & | __lhs,
|  | const multimap< _Key, _Tp, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 641 of file profile/multimap.h.

## operator>=() [8/10]

template<typename _Key , typename _Compare , typename _Allocator >

bool std::__profile::operator>= | ( | const multiset< _Key, _Compare, _Allocator > & | __lhs,
|  | const multiset< _Key, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 627 of file profile/multiset.h.

## operator>=() [9/10]

template<typename _Key , typename _Compare , typename _Allocator >

bool std::__profile::operator>= | ( | const set< _Key, _Compare, _Allocator > & | __lhs,
|  | const set< _Key, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 608 of file profile/set.h.

## operator>=() [10/10]

template<typename _Tp , typename _Alloc >

bool std::__profile::operator>= | ( | const vector< _Tp, _Alloc > & | __lhs,
|  | const vector< _Tp, _Alloc > & | __rhs
| ) |  |

inline

Definition at line 537 of file profile/vector.

## operator>>()

template<typename _CharT , typename _Traits , size_t _Nb>

std::basic_istream< _CharT, _Traits > & std::__profile::operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | bitset< _Nb > & | __x
| ) |  |

Definition at line 220 of file profile/bitset.

## operator^()

template<size_t _Nb>

bitset< _Nb > std::__profile::operator^ | ( | const bitset< _Nb > & | __x,
|  | const bitset< _Nb > & | __y
| ) |  |

noexcept

Definition at line 215 of file profile/bitset.

## operator|()

template<size_t _Nb>

bitset< _Nb > std::__profile::operator| | ( | const bitset< _Nb > & | __x,
|  | const bitset< _Nb > & | __y
| ) |  |

noexcept

Definition at line 210 of file profile/bitset.

## swap() [1/12]

template<typename _Tp , typename _Alloc >

void std::__profile::swap | ( | deque< _Tp, _Alloc > & | __lhs,
|  | deque< _Tp, _Alloc > & | __rhs
| ) |  |

inline noexcept

Definition at line 181 of file profile/deque.

## swap() [2/12]

template<typename _Tp , typename _Alloc >

void std::__profile::swap | ( | forward_list< _Tp, _Alloc > & | __lx,
|  | forward_list< _Tp, _Alloc > & | __ly
| ) |  |

inline noexcept

See std::forward_list::swap().

Definition at line 209 of file profile/forward_list.

## swap() [3/12]

template<typename _Tp , typename _Alloc >

void std::__profile::swap | ( | list< _Tp, _Alloc > & | __lhs,
|  | list< _Tp, _Alloc > & | __rhs
| ) |  |

inline noexcept

Definition at line 643 of file profile/list.

## swap() [4/12]

template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >

void std::__profile::swap | ( | map< _Key, _Tp, _Compare, _Allocator > & | __lhs,
|  | map< _Key, _Tp, _Compare, _Allocator > & | __rhs
| ) |  |

inline noexcept

Definition at line 697 of file profile/map.h.

## swap() [5/12]

template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >

void std::__profile::swap | ( | multimap< _Key, _Tp, _Compare, _Allocator > & | __lhs,
|  | multimap< _Key, _Tp, _Compare, _Allocator > & | __rhs
| ) |  |

inline noexcept

Definition at line 655 of file profile/multimap.h.

## swap() [6/12]

template<typename _Key , typename _Compare , typename _Allocator >

void std::__profile::swap | ( | multiset< _Key, _Compare, _Allocator > & | __x,
|  | multiset< _Key, _Compare, _Allocator > & | __y
| ) |  |

noexcept

Definition at line 639 of file profile/multiset.h.

## swap() [7/12]

template<typename _Key , typename _Compare , typename _Allocator >

void std::__profile::swap | ( | set< _Key, _Compare, _Allocator > & | __x,
|  | set< _Key, _Compare, _Allocator > & | __y
| ) |  |

noexcept

Definition at line 620 of file profile/set.h.

## swap() [8/12]

template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >

void std::__profile::swap | ( | unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > & | __x,
|  | unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > & | __y
| ) |  |

inline noexcept

Definition at line 300 of file profile/unordered_map.

## swap() [9/12]

template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >

void std::__profile::swap | ( | unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > & | __x,
|  | unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > & | __y
| ) |  |

inline noexcept

Definition at line 559 of file profile/unordered_map.

## swap() [10/12]

template<typename _Value , typename _Hash , typename _Pred , typename _Alloc >

void std::__profile::swap | ( | unordered_multiset< _Value, _Hash, _Pred, _Alloc > & | __x,
|  | unordered_multiset< _Value, _Hash, _Pred, _Alloc > & | __y
| ) |  |

inline noexcept

Definition at line 536 of file profile/unordered_set.

## swap() [11/12]

template<typename _Key , typename _Hash , typename _Pred , typename _Alloc >

void std::__profile::swap | ( | unordered_set< _Key, _Hash, _Pred, _Alloc > & | __x,
|  | unordered_set< _Key, _Hash, _Pred, _Alloc > & | __y
| ) |  |

inline noexcept

Definition at line 280 of file profile/unordered_set.

## swap() [12/12]

template<typename _Tp , typename _Alloc >

void std::__profile::swap | ( | vector< _Tp, _Alloc > & | __lhs,
|  | vector< _Tp, _Alloc > & | __rhs
| ) |  |

inline noexcept

Definition at line 549 of file profile/vector.